<script lang="ts" setup>
import { reactive , ref} from 'vue'

const counter = reactive({
  count: 0
})

console.log(counter.count)
counter.count++


const message = ref('Hello World!')

console.log(message.value)
message.value = 'Changed'

</script>

<template>
    <h1>{{ message.split('').reverse().join("-") }}</h1>
  <p>count is: {{ counter.count }}</p>
</template>

<style scoped>
</style>